Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001680Dwarf FortressMiscellaneous Crashespublic2010-05-01 16:432014-11-18 13:06
ReporterIlleist 
Assigned ToToady One 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformHP Pavilion dv4 1125nrOSVistaOS Version6.0
Product Version0.31.03 
Target VersionFixed in Version0.40.17 
Summary0001680: Crash with "Midmap effective coordinate check out of bounds"
DescriptionThe program inevitably crashes almost exactly 23 seconds after I load and unpause it. I've canceled workshop orders, changed general orders, and undone minor modding, but nothing has even altered the time it takes for the program to crash.
Additional Informationerrorlog.txt reads "Midmap effective coordinate check out of bounds"
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0003005resolvedFootkerchief Lockup re "Midmap effective coordinate check out of bounds" 
has duplicate 0005006resolvedFootkerchief Region Embark Crash 
related to 0002928new Crash on site selection in rectangular world 

-  Notes
(0005863)
Footkerchief (manager)
2010-05-01 16:50

"Midmap effective coordinate check out of bounds"

That's new to me. You should definitely upload the crashing save to http://dffd.wimbli.com/ [^]
(0005880)
Illeist (reporter)
2010-05-01 19:49

Sorry; it's taking a really long time to upload (I'm on a slow connection), but it should be up soon.
(0005883)
Illeist (reporter)
2010-05-01 20:18

Ok, here's the file link.
http://dffd.wimbli.com/file.php?id=2280 [^]
(0005942)
Illeist (reporter)
2010-05-02 13:14

Update: I opened an autosave, saved it, then opened the crashing save file. Thus far, the crash has not repeated itself. So I guess that's a resolution of a sort?
(0005977)
Footkerchief (manager)
2010-05-02 23:40
edited on: 2010-05-03 00:24

That's... odd. So it doesn't seem to have been the save itself that was causing the crash?

edit: I got a crash with the save you uploaded, so I have no idea why it would suddenly start working on your system, unless the time it worked was just a fluke.

(0006125)
Illeist (reporter)
2010-05-04 17:05

I've had no further repetitions of that particular crash, so I suppose I may have just, as you say, lucked out.
(0010102)
Morifen (reporter)
2010-07-12 23:12

Just got this error message when trying to reclaim a fort in .31.10. Crash would happen after pressing E at the reclaim screen. Already started a new fort; will update if I see it again.
(0019285)
totte (reporter)
2012-01-05 00:12

Got this error today on embarking with 4x4 square. FPS down to 6-12 then crashed at about 30 sec.
(0019289)
Footkerchief (manager)
2012-01-05 07:38
edited on: 2014-01-28 06:04

From 0005006:

After I searched for a desired location (Fluxstone Shallow/deep-metal Aquifer-NO) my whole world (Region3) was unembarkble because of crash. My embark square gets automatic 4x4 everytime I start a new search and it jumps around when changing location.

I either crash immediately or FPS dropping to 0.

Error log: Midmap effective coordinate check out of bounds

Here is a save file and my region. Too test a new embark, abandon fort with current save to reproduce another embark crash.

NOTE: The region was fine before I searched a desired location

http://dffd.wimbli.com/file.php?id=5323 [^]

edit: this file has save corruption

(0019292)
totte (reporter)
2012-01-05 11:34

I dont know if my crashes relates to this crash. My world region gives me random bugs. Now everytime I embark on it I reach HFS and demons and shit comes out. Before I only got cave collaps that might have also breached HFS.
(0024460)
Footkerchief (manager)
2014-01-28 06:12

Illeist's file does not show save corruption.
(0030183)
smjjames (reporter)
2014-09-13 18:00

Here's one of 40.12 where I'm getting crashes associated with a midmap effective coordinate check error. It actually crashed once on gameload with a spam of the same error.

The save at 0008265 might be the same thing. Also same world as 0008290 but probably not related.

http://dffd.wimbli.com/file.php?id=9695 [^]

I've been getting this repeatedly and over different worldgens.
(0030411)
smjjames (reporter)
2014-09-27 15:47

Still happens in 40.13. It happens a LOT when I'm fast travelling near the edge of the map. Seems to happen more with the right edge than the left I think.
(0030540)
smjjames (reporter)
2014-10-04 15:36

*bats the report to the top*

I'm able to 1000% reliably get this crash when I'm fast travelling near the right edge, if more saves are needed, I'll gladly spam them :P It is not dependent on the worldgen. Haven't actually tried with a vanilla worldgen though.

Okay not spam them, but yes I'll provide more saves if neccesary.
(0030548)
Robsoie (reporter)
2014-10-06 02:39

While i do not crash (very likely because i only play on small or smaller worlds), i still see very odd behaviour near world map border/corners, like with this save by example :
http://dffd.wimbli.com/file.php?id=9867 [^]

The loading bar popup at every single turns now (it started when i approached the borders) when i move on world map.
Only when i manage to move as far as there from the borders :
http://i.imgur.com/wMe91ZV.gif [^]

The loading bar strange behaviour stop and the game run again normally.

- Issue History
Date Modified Username Field Change
2010-05-01 16:43 Illeist New Issue
2010-05-01 16:50 Footkerchief Note Added: 0005863
2010-05-01 19:49 Illeist Note Added: 0005880
2010-05-01 20:18 Illeist Note Added: 0005883
2010-05-02 13:14 Illeist Note Added: 0005942
2010-05-02 23:40 Footkerchief Note Added: 0005977
2010-05-03 00:23 Footkerchief Note Edited: 0005977 View Revisions
2010-05-03 00:24 Footkerchief Note Edited: 0005977 View Revisions
2010-05-04 17:05 Illeist Note Added: 0006125
2010-07-08 08:18 Footkerchief Category General => Miscellaneous Crashes
2010-07-12 23:12 Morifen Note Added: 0010102
2010-08-11 02:13 Footkerchief Summary Coordinate Check Crash => Crash with "Midmap effective coordinate check out of bounds"
2010-08-11 02:13 Footkerchief Relationship added parent of 0003005
2010-08-11 02:15 Footkerchief Relationship added related to 0002928
2012-01-05 00:12 totte Note Added: 0019285
2012-01-05 07:38 Footkerchief Relationship added has duplicate 0005006
2012-01-05 07:38 Footkerchief Note Added: 0019289
2012-01-05 07:39 Footkerchief Note Edited: 0019289 View Revisions
2012-01-05 11:14 totte Note Added: 0019291
2012-01-05 11:20 totte Note Deleted: 0019291
2012-01-05 11:34 totte Note Added: 0019292
2012-03-06 07:58 Footkerchief Relationship replaced has duplicate 0003005
2014-01-28 06:04 Footkerchief Note Edited: 0019289 View Revisions
2014-01-28 06:12 Footkerchief Note Added: 0024460
2014-09-13 18:00 smjjames Note Added: 0030183
2014-09-27 15:46 smjjames Issue Monitored: smjjames
2014-09-27 15:47 smjjames Note Added: 0030411
2014-10-04 15:36 smjjames Note Added: 0030540
2014-10-06 02:39 Robsoie Note Added: 0030548
2014-11-18 13:06 Toady One Status new => resolved
2014-11-18 13:06 Toady One Fixed in Version => Next Version
2014-11-18 13:06 Toady One Resolution open => fixed
2014-11-18 13:06 Toady One Assigned To => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker